#pragma once

#define DLL_API __declspec(dllexport)

#include <windows.h>
#include "include/headers/glew.h"

extern "C" {
    typedef void (*ErrorCallback)(unsigned int errorCode, const char* errorMessage);

    DLL_API void SetGLErrorCallback(ErrorCallback callback);

    DLL_API void InitializeOpenGL(HWND hWnd);
    DLL_API void RenderFrame();
    DLL_API void SetupViewport(unsigned int width, unsigned int height);
    //DLL_API void Cleanup();
}